Bug 1376885 - Dummy package review ticket for multiply-versioned packages
Summary: Dummy package review ticket for multiply-versioned packages
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-16 18:27 UTC by Jason Tibbitts
Modified: 2018-02-06 16:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-06 15:57:40 UTC


Attachments (Terms of Use)

Description Jason Tibbitts 2016-09-16 18:27:20 UTC
The process for requesting a new package repository currently (2016-09-16) requires a package review ticket even in those cases where the package has been granted an exception (either an existing blanket exception or a specific exception granted by the packaging committee).  This ticket can be used in that case.

When filing your package request after having been granted a specific exception by FPC, please add a comment to this ticket indicating that fact and include a link to the FPC ticket where your exception was granted.

When filing your package under the blanket exception allowing multiple versions of existing packages, please add a comment to this ticket indicating that fact, and include the following:

The name of the existing package, for which you wish to have a different version imported.

The name of the new package you wish to import (so that the history is easily viewable here and so that the SCM admin can easily check that the naming guidelines have been followed).

Comment 1 Jason Tibbitts 2016-09-16 19:08:41 UTC
docker-latest is being requested without review under the blanket exception for multi-versioned packages.

Existing package: docker
New package: docker-latest

Comment 2 Jason Tibbitts 2016-09-16 19:08:54 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/docker-latest

Comment 3 Kalev Lember 2017-09-08 19:19:24 UTC
gmime30 is being requested without review under the blanket exception for multi-versioned packages.

Existing package: gmime
New package: gmime30

Spec URL: https://kalev.fedorapeople.org/gmime30.spec
SRPM URL: https://kalev.fedorapeople.org/gmime30-3.0.2-1.fc27.src.rpm

Comment 4 Kalev Lember 2017-09-08 19:27:04 UTC
This doesn't really place nice with the new fedrepo-req command line tool. I'll try creating a ticket manually. Also, had to go without dots in the gmime30 package name as pagure doesn't allow dots in package names, as per https://pagure.io/releng/fedora-scm-requests/issue/550#comment-461972

Comment 5 Kalev Lember 2017-09-08 20:25:07 UTC
Assigning to myself to try to make https://pagure.io/releng/fedora-scm-requests/issue/1040 happy.

Comment 6 Gwyn Ciesla 2017-09-08 20:36:09 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gmime30

Comment 7 Kalev Lember 2017-09-14 13:49:59 UTC
mozjs52 is being requested without review under the blanket exception for multi-versioned packages.

Existing package: mozjs45
New package: mozjs52

Comment 8 Gwyn Ciesla 2017-09-14 13:56:25 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mozjs52

Comment 9 Kalev Lember 2017-09-14 23:39:50 UTC
libxml++30 is being requested without review under the blanket exception for multi-versioned packages.

Existing package: libxml++
New package: libxml++30

Comment 10 Casey Link 2017-09-30 10:32:28 UTC
Is it possible for gmime30 to make it into Fedora 27 at this point?

Comment 11 Kalev Lember 2017-10-02 18:17:11 UTC
Yes. It already is in F27.

Comment 12 Gwyn Ciesla 2017-10-10 13:02:56 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libxml++30

Comment 13 Pete Walter 2017-11-13 12:35:13 UTC
compat-libical2 is being requested without review under the blanket exception for multi-versioned packages.

Existing package: libical
New package: compat-libical2

Comment 14 Gwyn Ciesla 2017-11-13 14:26:45 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/compat-libical2

Comment 15 Pete Walter 2017-11-28 12:21:30 UTC
compat-libicu57 is being requested without review under the blanket exception for multi-versioned packages.

Existing package: icu
New package: compat-libicu57

Comment 16 Gwyn Ciesla 2017-11-28 12:38:15 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/compat-libicu57

Comment 17 Pete Walter 2018-02-06 15:15:23 UTC
compat-xerces-c31 is being requested without review under the blanket exception for multi-versioned packages.

Existing package: xerces-c
New package: compat-xerces-c31

Comment 18 Pete Walter 2018-02-06 15:57:40 UTC
Grr. Apparently we can't use this ticket any more as the scm request ticket was closed as invalid, "The Bugzilla review bug creator didn't match the requester in Pagure." 

https://pagure.io/releng/fedora-scm-requests/issue/4404

I'll file a new ticket with intent to skip package review for the parallel installable package.

Comment 19 Pete Walter 2018-02-06 16:03:30 UTC
Filed https://bugzilla.redhat.com/show_bug.cgi?id=1542598 for compat-xerces-c31


Note You need to log in before you can comment on or make changes to this bug.